<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    public function up(): void
    {
        Schema::table('catalog_items', function (Blueprint $table): void {
            $table->foreignId('validity_time_id')
                ->nullable()
                ->after('has_tickets')
                ->constrained('validity_times')
                ->cascadeOnUpdate()
                ->nullOnDelete();
        });

        Schema::table('attribute_options', function (Blueprint $table): void {
            $table->foreignId('validity_time_id')
                ->nullable()
                ->after('attribute_id')
                ->constrained('validity_times')
                ->cascadeOnUpdate()
                ->nullOnDelete();
        });
    }

    public function down(): void
    {
        Schema::table('attribute_options', function (Blueprint $table): void {
            $table->dropConstrainedForeignId('validity_time_id');
        });

        Schema::table('catalog_items', function (Blueprint $table): void {
            $table->dropConstrainedForeignId('validity_time_id');
        });
    }
};
